Bug 118406 - x11/nvidia-driver-*xx: nvidia driver port name conflicts
Summary: x11/nvidia-driver-*xx: nvidia driver port name conflicts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-03 22:40 UTC by leres
Modified: 2010-11-29 12:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2007-12-03 22:40:01 UTC
	There are three "official" NVidia driver ports:

	    x11/nvidia-driver
	    x11/nvidia-driver-71xx
	    x11/nvidia-driver-96xx

	Since x11/nvidia-driver doesn't support legacy hardware,
	it can be desirable to build packages for all three.
	However, since they all use the same port name (nvidia-driver)
	the packages for all tree build to Latest/nvidia-driver.tbz

Fix: The appended patches change the latest-link for the two
	legacy ports to be be nvidia-driver71 and nvidia-driver96.


------- =_aaaaaaaaaa0
Content-Type: text/plain; name="nvidia-driver-patch.txt";
	charset="us-ascii"
Content-ID: <39395.1196720856.2@fun.ee.lbl.gov>



------- =_aaaaaaaaaa0----W7tjdPxraXtn6umbfB38rcbQAHggFNAz4V1rWzZw0Y9v8tzK
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- nvidia-driver-71xx/Makefile.virgin	Tue Oct 30 04:29:14 2007
+++ nvidia-driver-71xx/Makefile	Mon Dec  3 14:20:06 2007
@@ -6,7 +6,11 @@
 #
 
 DISTVERSION=	71.86.01
+LATEST_LINK=	${PORTNAME}71
+UNIQUENAME=	${PKGNAMEPREFIX}${LATEST_LINK}
 PORTREVISION=	0
+
+CONFLICTS=	nvidia-driver-[0-9]*
 
 MASTERDIR=	${.CURDIR}/../nvidia-driver
 
--- nvidia-driver-96xx/Makefile.virgin	Tue Oct 30 04:29:14 2007
+++ nvidia-driver-96xx/Makefile	Mon Dec  3 14:17:21 2007
@@ -6,7 +6,11 @@
 #
 
 DISTVERSION=	96.43.01
+LATEST_LINK=	${PORTNAME}96
+UNIQUENAME=	${PKGNAMEPREFIX}${LATEST_LINK}
 PORTREVISION=	0
+
+CONFLICTS=	nvidia-driver-[0-9]*
 
 MASTERDIR=	${.CURDIR}/../nvidia-driver
Comment 1 pav freebsd_committer 2007-12-18 16:07:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer
Comment 2 Alexey Dokuchaev freebsd_committer 2008-02-19 13:47:47 UTC
State Changed
From-To: open->analyzed

Well, since NO_PACKAGE is set, there should be no official packages, and 
thus the problem described does not really stand.  Furthermore, it 
brings even more complexity to makefiles, which are alreay complicated 
enough.  I will rethink the issue, though, maybe you have your point.
Comment 3 pav freebsd_committer 2010-11-29 12:47:15 UTC
State Changed
From-To: analyzed->closed

These ports now have NO_LATEST_LINK